/*===========================================================================*/
/*   (Lalr/driver.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Lalr/driver.scm -indent -o objs/obj_u/Lalr/driver.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t make_string(int, unsigned char);
static long BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00;
extern obj_t close_output_port(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl____makezd2parserzd2zz__lalr_driverz00(obj_t, obj_t, obj_t);
extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_symbol1856z00zz__lalr_driverz00 = BUNSPEC;
static obj_t BGl_symbol1855z00zz__lalr_driverz00 = BUNSPEC;
static obj_t BGl_symbol1851z00zz__lalr_driverz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__lalr_driverz00();
extern obj_t string_to_symbol(char *);
static obj_t BGl_zc3anonymousza31021ze3z83zz__lalr_driverz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t make_vector(int, obj_t);
static long BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00;
extern obj_t open_output_string();
static obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00();
static obj_t BGl_requirezd2initializa7ationz75zz__lalr_driverz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00();
BGL_EXPORTED_DEF obj_t BGl_za2debugzd2parserza2zd2zz__lalr_driverz00 = BUNSPEC;
extern obj_t display_string(obj_t, obj_t);
static obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1858z00zz__lalr_driverz00, BgL_bgl_string1858za700za7za7__lalr_driverza7001865z00, "')", 2 );
DEFINE_STRING( BGl_string1857z00zz__lalr_driverz00, BgL_bgl_string1857za700za7za7__lalr_driverza7001866z00, "parse error (unexpected token `", 31 );
DEFINE_STRING( BGl_string1854z00zz__lalr_driverz00, BgL_bgl_string1854za700za7za7__lalr_driverza7001867z00, "  sp=", 5 );
DEFINE_STRING( BGl_string1853z00zz__lalr_driverz00, BgL_bgl_string1853za700za7za7__lalr_driverza7001868z00, "  state=", 8 );
DEFINE_STRING( BGl_string1852z00zz__lalr_driverz00, BgL_bgl_string1852za700za7za7__lalr_driverza7001869z00, "** PARSER TRACE: input=", 23 );
DEFINE_STRING( BGl_string1850z00zz__lalr_driverz00, BgL_bgl_string1850za700za7za7__lalr_driverza7001870z00, "Illegal `#f' token", 18 );
DEFINE_STRING( BGl_string1849z00zz__lalr_driverz00, BgL_bgl_string1849za700za7za7__lalr_driverza7001871z00, "parser", 6 );
DEFINE_EXPORT_PROCEDURE( BGl___makezd2parserzd2envz00zz__lalr_driverz00, BgL_bgl____makeza7d2parserza7d2za7za7__lalr_driverza7001872za7, BGl____makezd2parserzd2zz__lalr_driverz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long BgL_checksumz00_672, char * BgL_fromz00_673)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__lalr_driverz00))
{ 
BGl_requirezd2initializa7ationz75zz__lalr_driverz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__lalr_driverz00(); 
BGl_importedzd2moduleszd2initz00zz__lalr_driverz00(); 
BGl_toplevelzd2initzd2zz__lalr_driverz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__lalr_driverz00()
{ AN_OBJECT;
{ /* ./Lalr/driver.scm 11 */
BGl_symbol1851z00zz__lalr_driverz00 = 
string_to_symbol("*eoi*"); 
BGl_symbol1855z00zz__lalr_driverz00 = 
string_to_symbol("accept"); 
return ( 
BGl_symbol1856z00zz__lalr_driverz00 = 
string_to_symbol("*error*"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00()
{ AN_OBJECT;
{ /* ./Lalr/driver.scm 11 */
BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00 = ((long)500); 
BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00 = ((long)200); 
return ( 
BGl_za2debugzd2parserza2zd2zz__lalr_driverz00 = BFALSE, BUNSPEC) ;} 
}



/* grow-stack! */
obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t BgL_vz00_1)
{ AN_OBJECT;
{ /* ./Lalr/driver.scm 44 */
{ /* ./Lalr/driver.scm 45 */
int BgL_lenz00_356;
BgL_lenz00_356 = 
VECTOR_LENGTH(BgL_vz00_1); 
{ /* ./Lalr/driver.scm 45 */
obj_t BgL_v2z00_357;
{ /* ./Lalr/driver.scm 46 */
long BgL_arg1016z00_363;
{ /* ./Lalr/driver.scm 46 */
long BgL_auxz00_684;
BgL_auxz00_684 = 
(long)(BgL_lenz00_356); 
BgL_arg1016z00_363 = 
(BgL_auxz00_684+((long)200)); } 
{ /* ./Lalr/driver.scm 46 */
obj_t BgL_auxz00_689;int BgL_auxz00_687;
BgL_auxz00_689 = 
BINT(((long)0)); 
BgL_auxz00_687 = 
(int)(BgL_arg1016z00_363); 
BgL_v2z00_357 = 
make_vector(BgL_auxz00_687, BgL_auxz00_689); } } 
{ /* ./Lalr/driver.scm 46 */

{ 
long BgL_iz00_358;
BgL_iz00_358 = ((long)0); 
BgL_loopz00_359:
{ /* ./Lalr/driver.scm 48 */
bool_t BgL_testz00_692;
{ /* ./Lalr/driver.scm 48 */
long BgL_auxz00_693;
BgL_auxz00_693 = 
(long)(BgL_lenz00_356); 
BgL_testz00_692 = 
(BgL_iz00_358<BgL_auxz00_693); } 
if(BgL_testz00_692)
{ /* ./Lalr/driver.scm 48 */
{ 
obj_t BgL_auxz00_698;int BgL_auxz00_696;
{ 
int BgL_auxz00_699;
BgL_auxz00_699 = 
(int)(BgL_iz00_358); 
BgL_auxz00_698 = 
VECTOR_REF(BgL_vz00_1,BgL_auxz00_699); } 
BgL_auxz00_696 = 
(int)(BgL_iz00_358); 
VECTOR_SET(BgL_v2z00_357,BgL_auxz00_696,BgL_auxz00_698); } 
{ 
long BgL_iz00_703;
BgL_iz00_703 = 
(BgL_iz00_358+((long)1)); 
BgL_iz00_358 = BgL_iz00_703; 
goto BgL_loopz00_359;} }  else 
{ /* ./Lalr/driver.scm 48 */
return BgL_v2z00_357;} } } } } } } 
}



/* __make-parser */
BGL_EXPORTED_DEF obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t BgL_actionzd2tablezd2_2, obj_t BgL_reductionzd2functionzd2_3)
{ AN_OBJECT;
{ /* ./Lalr/driver.scm 54 */
{ /* ./Lalr/driver.scm 55 */
obj_t BgL_zc3anonymousza31021ze3z83_662;
{ 
int BgL_auxz00_707;int BgL_auxz00_705;
BgL_auxz00_707 = 
(int)(((long)2)); 
BgL_auxz00_705 = 
(int)(((long)3)); 
BgL_zc3anonymousza31021ze3z83_662 = 
make_fx_procedure(BGl_zc3anonymousza31021ze3z83zz__lalr_driverz00, BgL_auxz00_705, BgL_auxz00_707); } 
{ /* ./Lalr/driver.scm 55 */
int BgL_auxz00_710;
BgL_auxz00_710 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31021ze3z83_662, BgL_auxz00_710, BgL_actionzd2tablezd2_2); } 
{ /* ./Lalr/driver.scm 55 */
int BgL_auxz00_713;
BgL_auxz00_713 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31021ze3z83_662, BgL_auxz00_713, BgL_reductionzd2functionzd2_3); } 
return BgL_zc3anonymousza31021ze3z83_662;} } 
}



/* ___make-parser */
obj_t BGl____makezd2parserzd2zz__lalr_driverz00(obj_t BgL_envz00_663, obj_t BgL_actionzd2tablezd2_664, obj_t BgL_reductionzd2functionzd2_665)
{ AN_OBJECT;
{ /* ./Lalr/driver.scm 54 */
return 
BGl___makezd2parserzd2zz__lalr_driverz00(BgL_actionzd2tablezd2_664, BgL_reductionzd2functionzd2_665);} 
}



/* <anonymous:1021> */
obj_t BGl_zc3anonymousza31021ze3z83zz__lalr_driverz00(obj_t BgL_envz00_666, obj_t BgL_rgcz00_669, obj_t BgL_inputzd2portzd2_670, obj_t BgL_iszd2eofzf3z21_671)
{ AN_OBJECT;
{ /* ./Lalr/driver.scm 55 */
{ /* ./Lalr/driver.scm 61 */
obj_t BgL_actionzd2tablezd2_667;obj_t BgL_reductionzd2functionzd2_668;
{ /* ./Lalr/driver.scm 61 */
int BgL_auxz00_717;
BgL_auxz00_717 = 
(int)(((long)0)); 
BgL_actionzd2tablezd2_667 = 
PROCEDURE_REF(BgL_envz00_666, BgL_auxz00_717); } 
{ /* ./Lalr/driver.scm 61 */
int BgL_auxz00_720;
BgL_auxz00_720 = 
(int)(((long)1)); 
BgL_reductionzd2functionzd2_668 = 
PROCEDURE_REF(BgL_envz00_666, BgL_auxz00_720); } 
{ 
obj_t BgL_rgcz00_365;obj_t BgL_inputzd2portzd2_366;obj_t BgL_iszd2eofzf3z21_367;
BgL_rgcz00_365 = BgL_rgcz00_669; 
BgL_inputzd2portzd2_366 = BgL_inputzd2portzd2_670; 
BgL_iszd2eofzf3z21_367 = BgL_iszd2eofzf3z21_671; 
{ /* ./Lalr/driver.scm 63 */
obj_t BgL_stackz00_370;obj_t BgL_statez00_371;obj_t BgL_inputz00_372;obj_t BgL_inz00_373;obj_t BgL_attrz00_374;obj_t BgL_actsz00_375;obj_t BgL_actz00_376;bool_t BgL_eofzf3zf3_377;
{ /* ./Lalr/driver.scm 63 */
obj_t BgL_auxz00_725;int BgL_auxz00_723;
BgL_auxz00_725 = 
BINT(((long)0)); 
BgL_auxz00_723 = 
(int)(((long)500)); 
BgL_stackz00_370 = 
make_vector(BgL_auxz00_723, BgL_auxz00_725); } 
BgL_statez00_371 = BFALSE; 
BgL_inputz00_372 = BFALSE; 
BgL_inz00_373 = BFALSE; 
BgL_attrz00_374 = BFALSE; 
BgL_actsz00_375 = BFALSE; 
BgL_actz00_376 = BFALSE; 
BgL_eofzf3zf3_377 = ((bool_t)0); 
{ 
obj_t BgL_spz00_378;
BgL_spz00_378 = 
BINT(((long)0)); 
BgL_loopz00_379:
{ 
int BgL_auxz00_728;
BgL_auxz00_728 = 
CINT(BgL_spz00_378); 
BgL_statez00_371 = 
VECTOR_REF(BgL_stackz00_370,BgL_auxz00_728); } 
{ 
int BgL_auxz00_731;
BgL_auxz00_731 = 
CINT(BgL_statez00_371); 
BgL_actsz00_375 = 
VECTOR_REF(BgL_actionzd2tablezd2_667,BgL_auxz00_731); } 
{ /* ./Lalr/driver.scm 76 */
bool_t BgL_testz00_734;
{ /* ./Lalr/driver.scm 76 */
obj_t BgL_auxz00_735;
BgL_auxz00_735 = 
CDR(BgL_actsz00_375); 
BgL_testz00_734 = 
NULLP(BgL_auxz00_735); } 
if(BgL_testz00_734)
{ /* ./Lalr/driver.scm 77 */
obj_t BgL_pairz00_585;
BgL_pairz00_585 = BgL_actsz00_375; 
{ /* ./Lalr/driver.scm 77 */
obj_t BgL_auxz00_738;
BgL_auxz00_738 = 
CAR(BgL_pairz00_585); 
BgL_actz00_376 = 
CDR(BgL_auxz00_738); } }  else 
{ /* ./Lalr/driver.scm 76 */
if(
CBOOL(BgL_inputz00_372))
{ /* ./Lalr/driver.scm 79 */BFALSE; }  else 
{ /* ./Lalr/driver.scm 79 */
BgL_inputz00_372 = 
PROCEDURE_ENTRY(BgL_rgcz00_365)(BgL_rgcz00_365, BgL_inputzd2portzd2_366, BFALSE, BEOA); } 
if(
CBOOL(BgL_inputz00_372))
{ /* ./Lalr/driver.scm 81 */((bool_t)0); }  else 
{ /* ./Lalr/driver.scm 81 */
FAILURE(BGl_string1849z00zz__lalr_driverz00,BGl_string1850z00zz__lalr_driverz00,BFALSE);} 
{ /* ./Lalr/driver.scm 84 */
bool_t BgL_test1029z00_381;
{ /* ./Lalr/driver.scm 85 */
obj_t BgL_auxz00_748;
BgL_auxz00_748 = 
PROCEDURE_ENTRY(BgL_iszd2eofzf3z21_367)(BgL_iszd2eofzf3z21_367, BgL_inputz00_372, BEOA); 
BgL_test1029z00_381 = 
CBOOL(BgL_auxz00_748); } 
if(BgL_test1029z00_381)
{ /* ./Lalr/driver.scm 84 */
BgL_inz00_373 = BGl_symbol1851z00zz__lalr_driverz00; 
BgL_attrz00_374 = BFALSE; 
BgL_eofzf3zf3_377 = ((bool_t)1); }  else 
{ /* ./Lalr/driver.scm 84 */
if(
PAIRP(BgL_inputz00_372))
{ /* ./Lalr/driver.scm 92 */
BgL_inz00_373 = 
CAR(BgL_inputz00_372); 
BgL_attrz00_374 = 
CDR(BgL_inputz00_372); }  else 
{ /* ./Lalr/driver.scm 92 */
BgL_inz00_373 = BgL_inputz00_372; 
BgL_attrz00_374 = BFALSE; } } } 
{ /* ./Lalr/driver.scm 96 */
obj_t BgL_xz00_597;obj_t BgL_lz00_598;
BgL_xz00_597 = BgL_inz00_373; 
BgL_lz00_598 = BgL_actsz00_375; 
{ /* ./Lalr/driver.scm 96 */
obj_t BgL_yz00_599;
BgL_yz00_599 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_597, BgL_lz00_598); 
if(
CBOOL(BgL_yz00_599))
{ /* ./Lalr/driver.scm 96 */
BgL_actz00_376 = 
CDR(BgL_yz00_599); }  else 
{ /* ./Lalr/driver.scm 96 */
obj_t BgL_auxz00_761;
BgL_auxz00_761 = 
CAR(BgL_lz00_598); 
BgL_actz00_376 = 
CDR(BgL_auxz00_761); } } } } } 
if(
CBOOL(BGl_za2debugzd2parserza2zd2zz__lalr_driverz00))
{ /* ./Lalr/driver.scm 98 */
{ /* ./Lalr/driver.scm 100 */
obj_t BgL_arg1042z00_385;
BgL_arg1042z00_385 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string1852z00zz__lalr_driverz00, BgL_arg1042z00_385); } 
{ /* ./Lalr/driver.scm 101 */
obj_t BgL_arg1046z00_386;
BgL_arg1046z00_386 = 
BGL_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_inz00_373, BgL_arg1046z00_386); } 
{ /* ./Lalr/driver.scm 102 */
obj_t BgL_arg1051z00_388;
BgL_arg1051z00_388 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string1853z00zz__lalr_driverz00, BgL_arg1051z00_388); } 
{ /* ./Lalr/driver.scm 103 */
obj_t BgL_arg1055z00_389;
BgL_arg1055z00_389 = 
BGL_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_statez00_371, BgL_arg1055z00_389); } 
{ /* ./Lalr/driver.scm 104 */
obj_t BgL_arg1061z00_391;
BgL_arg1061z00_391 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string1854z00zz__lalr_driverz00, BgL_arg1061z00_391); } 
{ /* ./Lalr/driver.scm 105 */
obj_t BgL_arg1065z00_392;
BgL_arg1065z00_392 = 
BGL_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_spz00_378, BgL_arg1065z00_392); } 
{ /* ./Lalr/driver.scm 106 */
obj_t BgL_arg1069z00_393;
BgL_arg1069z00_393 = 
BGL_CURRENT_OUTPUT_PORT(); 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg1069z00_393); } }  else 
{ /* ./Lalr/driver.scm 98 */BFALSE; } 
if(
(BgL_actz00_376==BGl_symbol1855z00zz__lalr_driverz00))
{ /* ./Lalr/driver.scm 111 */
{ 
int BgL_auxz00_782;
BgL_auxz00_782 = 
(int)(((long)1)); 
return 
VECTOR_REF(BgL_stackz00_370,BgL_auxz00_782);} }  else 
{ /* ./Lalr/driver.scm 111 */
if(
(BgL_actz00_376==BGl_symbol1856z00zz__lalr_driverz00))
{ /* ./Lalr/driver.scm 115 */
{ /* ./Lalr/driver.scm 116 */
obj_t BgL_msgz00_396;
{ /* ./Lalr/driver.scm 116 */
obj_t BgL_arg1080z00_398;
if(
SYMBOLP(BgL_inz00_373))
{ /* ./Lalr/driver.scm 119 */
BgL_arg1080z00_398 = 
SYMBOL_TO_STRING(BgL_inz00_373); }  else 
{ /* ./Lalr/driver.scm 119 */
if(
CHARP(BgL_inz00_373))
{ /* ./Lalr/driver.scm 121 */
{ /* ./Lalr/driver.scm 122 */
obj_t BgL_list1087z00_402;
BgL_list1087z00_402 = 
MAKE_PAIR(BgL_inz00_373, BNIL); 
{ /* ./Lalr/driver.scm 122 */
obj_t BgL_res1785z00_617;
{ /* ./Lalr/driver.scm 122 */
int BgL_kz00_611;
BgL_kz00_611 = 
(int)(((long)1)); 
{ /* ./Lalr/driver.scm 122 */
obj_t BgL_arg1573z00_614;
BgL_arg1573z00_614 = 
CAR(BgL_list1087z00_402); 
{ /* ./Lalr/driver.scm 122 */
unsigned char BgL_auxz00_795;
BgL_auxz00_795 = 
(unsigned char)CCHAR(BgL_arg1573z00_614); 
BgL_res1785z00_617 = 
make_string(BgL_kz00_611, BgL_auxz00_795); } } } 
BgL_arg1080z00_398 = BgL_res1785z00_617; } } }  else 
{ /* ./Lalr/driver.scm 121 */
{ /* ./Lalr/driver.scm 124 */
obj_t BgL_portz00_403;
BgL_portz00_403 = 
open_output_string(); 
{ /* ./Lalr/driver.scm 125 */
obj_t BgL_list1090z00_404;
BgL_list1090z00_404 = 
MAKE_PAIR(BgL_portz00_403, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_inz00_373, BgL_list1090z00_404); } 
BgL_arg1080z00_398 = 
close_output_port(BgL_portz00_403); } } } 
BgL_msgz00_396 = 
string_append_3(BGl_string1857z00zz__lalr_driverz00, BgL_arg1080z00_398, BGl_string1858z00zz__lalr_driverz00); } 
{ /* ./Lalr/driver.scm 128 */
obj_t BgL_objectz00_621;
BgL_objectz00_621 = BgL_inputz00_372; 
FAILURE(BGl_string1849z00zz__lalr_driverz00,BgL_msgz00_396,BgL_objectz00_621);} } }  else 
{ /* ./Lalr/driver.scm 131 */
bool_t BgL_testz00_804;
{ /* ./Lalr/driver.scm 131 */
long BgL_auxz00_805;
BgL_auxz00_805 = 
(long)CINT(BgL_actz00_376); 
BgL_testz00_804 = 
(BgL_auxz00_805>=((long)0)); } 
if(BgL_testz00_804)
{ /* ./Lalr/driver.scm 131 */
{ /* ./Lalr/driver.scm 132 */
bool_t BgL_test1097z00_406;
{ /* ./Lalr/driver.scm 132 */
long BgL_arg1100z00_407;
{ /* ./Lalr/driver.scm 132 */
int BgL_arg1103z00_408;
BgL_arg1103z00_408 = 
VECTOR_LENGTH(BgL_stackz00_370); 
{ /* ./Lalr/driver.scm 132 */
long BgL_auxz00_809;
BgL_auxz00_809 = 
(long)(BgL_arg1103z00_408); 
BgL_arg1100z00_407 = 
(BgL_auxz00_809-((long)4)); } } 
{ /* ./Lalr/driver.scm 132 */
long BgL_auxz00_812;
BgL_auxz00_812 = 
(long)CINT(BgL_spz00_378); 
BgL_test1097z00_406 = 
(BgL_auxz00_812>=BgL_arg1100z00_407); } } 
if(BgL_test1097z00_406)
{ /* ./Lalr/driver.scm 132 */
BgL_stackz00_370 = 
BGl_growzd2stackz12zc0zz__lalr_driverz00(BgL_stackz00_370); }  else 
{ /* ./Lalr/driver.scm 132 */BFALSE; } } 
{ /* ./Lalr/driver.scm 134 */
long BgL_arg1108z00_410;
{ /* ./Lalr/driver.scm 134 */
long BgL_auxz00_817;
BgL_auxz00_817 = 
(long)CINT(BgL_spz00_378); 
BgL_arg1108z00_410 = 
(BgL_auxz00_817+((long)1)); } 
{ 
int BgL_auxz00_820;
BgL_auxz00_820 = 
(int)(BgL_arg1108z00_410); 
VECTOR_SET(BgL_stackz00_370,BgL_auxz00_820,BgL_attrz00_374); } } 
{ /* ./Lalr/driver.scm 135 */
long BgL_arg1112z00_411;
{ /* ./Lalr/driver.scm 135 */
long BgL_auxz00_823;
BgL_auxz00_823 = 
(long)CINT(BgL_spz00_378); 
BgL_arg1112z00_411 = 
(BgL_auxz00_823+((long)2)); } 
{ 
int BgL_auxz00_826;
BgL_auxz00_826 = 
(int)(BgL_arg1112z00_411); 
VECTOR_SET(BgL_stackz00_370,BgL_auxz00_826,BgL_actz00_376); } } 
if(BgL_eofzf3zf3_377)
{ /* ./Lalr/driver.scm 136 */BFALSE; }  else 
{ /* ./Lalr/driver.scm 136 */
BgL_inputz00_372 = BFALSE; } 
{ /* ./Lalr/driver.scm 138 */
long BgL_arg1117z00_412;
{ /* ./Lalr/driver.scm 138 */
long BgL_auxz00_830;
BgL_auxz00_830 = 
(long)CINT(BgL_spz00_378); 
BgL_arg1117z00_412 = 
(BgL_auxz00_830+((long)2)); } 
{ 
obj_t BgL_spz00_833;
BgL_spz00_833 = 
BINT(BgL_arg1117z00_412); 
BgL_spz00_378 = BgL_spz00_833; 
goto BgL_loopz00_379;} } }  else 
{ /* ./Lalr/driver.scm 131 */
{ /* ./Lalr/driver.scm 142 */
obj_t BgL_arg1121z00_413;
{ /* ./Lalr/driver.scm 142 */
long BgL_arg1124z00_414;
{ /* ./Lalr/driver.scm 142 */
long BgL_auxz00_835;
BgL_auxz00_835 = 
(long)CINT(BgL_actz00_376); 
BgL_arg1124z00_414 = 
NEG(BgL_auxz00_835); } 
BgL_arg1121z00_413 = 
PROCEDURE_ENTRY(BgL_reductionzd2functionzd2_668)(BgL_reductionzd2functionzd2_668, 
BINT(BgL_arg1124z00_414), BgL_stackz00_370, BgL_spz00_378, BEOA); } 
{ 
obj_t BgL_spz00_841;
BgL_spz00_841 = BgL_arg1121z00_413; 
BgL_spz00_378 = BgL_spz00_841; 
goto BgL_loopz00_379;} } } } } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00()
{ AN_OBJECT;
{ /* ./Lalr/driver.scm 11 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__lalr_driver");} 
}

